Package org.apache.catalina.core

## Class AprLifecycleListener

- java.lang.Object
- - org.apache.catalina.core.AprLifecycleListener

All Implemented Interfaces:
  `LifecycleListener`

    public class AprLifecycleListener
    extends java.lang.Object
    implements LifecycleListener

Implementation of `LifecycleListener` that will init and and destroy APR.

This listener must only be nested within `Server` elements.

Note: If you are running Tomcat in an embedded fashion and have more than one Server instance per JVM, this listener must not be added to the `Server` instances, but handled outside by the calling code which is bootstrapping the embedded Tomcat instances. Not doing so will lead to JVM crashes.

Since:
  4.1

### Field Summary

Fields
`protected static java.lang.String` `FIPSMode`
`protected static boolean` `fipsModeActive`
`protected static java.lang.Object` `lock`
`protected static StringManager` `sm` The string manager for this package.
`protected static java.lang.String` `SSLEngine`
`protected static boolean` `sslInitialized`
`protected static java.lang.String` `SSLRandomSeed`
`protected static int` `TCN_RECOMMENDED_MAJOR`
`protected static int` `TCN_RECOMMENDED_MINOR`
`protected static int` `TCN_RECOMMENDED_PV`
`protected static int` `TCN_REQUIRED_MAJOR`
`protected static int` `TCN_REQUIRED_MINOR`
`protected static int` `TCN_REQUIRED_PATCH`

### Constructor Summary

Constructors
`AprLifecycleListener()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getFIPSMode()`
`java.lang.String` `getSSLEngine()`
`java.lang.String` `getSSLRandomSeed()`
`static boolean` `getUseAprConnector()`
`static boolean` `getUseOpenSSL()`
`static boolean` `isAprAvailable()`
`boolean` `isFIPSModeActive()`
`static boolean` `isInstanceCreated()`
`void` `lifecycleEvent​(LifecycleEvent event)` Primary entry point for startup and shutdown events.
`void` `setFIPSMode​(java.lang.String FIPSMode)`
`void` `setSSLEngine​(java.lang.String SSLEngine)`
`void` `setSSLRandomSeed​(java.lang.String SSLRandomSeed)`
`void` `setUseAprConnector​(boolean useAprConnector)`
`void` `setUseOpenSSL​(boolean useOpenSSL)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

The string manager for this package.

#### TCN_REQUIRED_MAJOR

    protected static final int TCN_REQUIRED_MAJOR

See Also:
  Constant Field Values

#### TCN_REQUIRED_MINOR

    protected static final int TCN_REQUIRED_MINOR

See Also:
  Constant Field Values

#### TCN_REQUIRED_PATCH

    protected static final int TCN_REQUIRED_PATCH

See Also:
  Constant Field Values

#### TCN_RECOMMENDED_MAJOR

    protected static final int TCN_RECOMMENDED_MAJOR

See Also:
  Constant Field Values

#### TCN_RECOMMENDED_MINOR

    protected static final int TCN_RECOMMENDED_MINOR

See Also:
  Constant Field Values

#### TCN_RECOMMENDED_PV

    protected static final int TCN_RECOMMENDED_PV

See Also:
  Constant Field Values

#### SSLEngine

    protected static java.lang.String SSLEngine

#### FIPSMode

    protected static java.lang.String FIPSMode

#### SSLRandomSeed

    protected static java.lang.String SSLRandomSeed

#### sslInitialized

    protected static boolean sslInitialized

#### fipsModeActive

    protected static boolean fipsModeActive

#### lock

    protected static final java.lang.Object lock

### Constructor Detail

#### AprLifecycleListener

    public AprLifecycleListener()

### Method Detail

#### isAprAvailable

    public static boolean isAprAvailable()

#### lifecycleEvent

    public void lifecycleEvent​(LifecycleEvent event)

Primary entry point for startup and shutdown events.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - The event that has occurred

#### getSSLEngine

    public java.lang.String getSSLEngine()

#### setSSLEngine

    public void setSSLEngine​(java.lang.String SSLEngine)

#### getSSLRandomSeed

    public java.lang.String getSSLRandomSeed()

#### setSSLRandomSeed

    public void setSSLRandomSeed​(java.lang.String SSLRandomSeed)

#### getFIPSMode

    public java.lang.String getFIPSMode()

#### setFIPSMode

    public void setFIPSMode​(java.lang.String FIPSMode)

#### isFIPSModeActive

    public boolean isFIPSModeActive()

#### setUseAprConnector

    public void setUseAprConnector​(boolean useAprConnector)

#### getUseAprConnector

    public static boolean getUseAprConnector()

#### setUseOpenSSL

    public void setUseOpenSSL​(boolean useOpenSSL)

#### getUseOpenSSL

    public static boolean getUseOpenSSL()

#### isInstanceCreated

    public static boolean isInstanceCreated()